//  SetpPanelObj.h
//  QFComFunction
//
//  Created by LDY on 12/29/10.
//  Copyright 2010 www.goodldy.com All rights reserved.



#import <Foundation/Foundation.h>



#define INFO(format, ...) [[QFLogger getLogger] debug:[NSString stringWithFormat:(format), ##__VA_ARGS__] \
                                                InFile:[[NSString stringWithUTF8String:__FILE__] lastPathComponent] \
                                                InLine:__LINE__]

#define QFLog(format, ...) [[QFLogger getLogger] debug:[NSString stringWithFormat:(format), ##__VA_ARGS__] \
                                                InFile:[[NSString stringWithUTF8String:__FILE__] lastPathComponent] \
                                                InLine:__LINE__]

#define QFSysLog(format, ...) [[QFLogger getLogger] system:[NSString stringWithFormat:(format), ##__VA_ARGS__] \
                                                InFile:[[NSString stringWithUTF8String:__FILE__] lastPathComponent] \
                                                InLine:__LINE__]

#define QFArcLog(format, ...) [[QFLogger getLogger] archive:[NSString stringWithFormat:(format), ##__VA_ARGS__] \
                                                InFile:[[NSString stringWithUTF8String:__FILE__] lastPathComponent] \
                                                InLine:__LINE__]

#define QFTempLog(format, ...) [[QFLogger getLogger] temp:[NSString stringWithFormat:(format), ##__VA_ARGS__] \
                                                InFile:[[NSString stringWithUTF8String:__FILE__] lastPathComponent] \
                                                InLine:__LINE__]

typedef enum {
	QFLogger_Level_None=0,
	QFLogger_Level_System,
    QFLogger_Level_Archive,
    QFLogger_Level_Debug,
	QFLogger_Level_Temp
}QFLoggerLevel;

@interface QFLogger : NSObject {
	QFLoggerLevel selLevel;
    BOOL isLogFile;
    BOOL isLine;
    NSString *logfilePath;
    NSMutableString *logfileStr;
    
}

@property (nonatomic, assign) QFLoggerLevel selLevel;
@property (nonatomic, assign) BOOL isLogFile;
@property (nonatomic, retain) NSString *logfilePath;
@property (nonatomic, assign) BOOL isLine;

+ (QFLogger *)getLogger;

- (void)system:(NSString *)msg InFile:(NSString *)fileName InLine:(int)lineStr;
- (void)archive:(NSString *)msg InFile:(NSString *)fileName InLine:(int)lineStr;
- (void)debug:(NSString *)msg InFile:(NSString *)fileName InLine:(int)lineStr;
- (void)temp:(NSString *)msg InFile:(NSString *)fileName InLine:(int)lineStr;

@end
